Skip to main content
PUT
/
scheduled_payments
/
{guid}
Update a scheduled payment
curl --request PUT \
  --url https://int-data.moneydesktop.com/scheduled_payments/{guid} \
  --header 'Content-Type: application/vnd.mx.nexus.v1+json' \
  --header 'MD-SESSION-TOKEN: <api-key>' \
  --data '{}'
{
  "scheduled_payment": {
    "amount": 10.97,
    "created_at": "2015-04-13T12:01:23-00:00",
    "description": "Power bill",
    "guid": "SCH-e386a323-e452-47f2-b2fd-1ac3c18533de",
    "is_completed": false,
    "is_recurring": true,
    "merchant_guid": "MCH-5005cd15-c3e5-0e69-ec98-c95147860a45",
    "occurs_on": "2018-12-13T00:00:00.000Z",
    "recurrence_day": 3,
    "recurrence_type": 3,
    "recurrence_type_name": "EVERY_MONTH",
    "transaction_type": 2,
    "transaction_type_name": "DEBIT",
    "updated_at": "2015-04-13T12:01:23.000Z",
    "user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
  }
}

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

guid
string
required

The unique identifier for the payment. Defined by MX.

Body

application/vnd.mx.nexus.v1+json
scheduled_payment
object

Response

200 - application/vnd.mx.nexus.v1+json

OK

scheduled_payment
object